## sdml 0.3.0+20240901

=== debian/changelog ===
sdml (0.3.0+20240901-2) unstable; urgency=medium

  * drop patch 2002_paste,
    obsoleted by Debian packaging changes
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2024 22:25:16 +0200

sdml (0.3.0+20240901-1) experimental; urgency=medium

  * initial release;
    closes: bug#1064145

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 22:58:29 +0200
