=== debian/control ===
Source: sdml
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-verbosity-flag-2+default-dev,
 librust-clio-0.3+clap-parse-dev,
 librust-clio-0.3+default-dev,
 librust-codespan-reporting-0.11+default-dev,
 librust-console-0.15+default-dev,
 librust-convert-case-0.6+default-dev,
 librust-human-panic-2+default-dev,
 librust-i18n-embed-0.14+default-dev,
 librust-i18n-embed-0.14+desktop-requester-dev,
 librust-i18n-embed-0.14+fluent-system-dev,
 librust-i18n-embed-fl-dev (<< 0.9),
 librust-indicatif-0.17+default-dev,
 librust-lazy-static-1+default-dev,
 librust-nu-ansi-term-0.50+default-dev,
 librust-ordered-float-4+default-dev,
 librust-ordered-float-4+serde-dev,
 librust-paste-1+default-dev <!nocheck>,
 librust-pretty-assertions-1+default-dev <!nocheck>,
 librust-regex-1+default-dev,
 librust-rust-decimal-1+default-dev,
 librust-rust-decimal-1+serde-dev,
 librust-rust-embed-8+default-dev,
 librust-search-path-0.1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-regex-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-text-trees-0.1+default-dev,
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-log-0.2+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-tree-sitter-0.20+default-dev,
 librust-tree-sitter-highlight-0.20+default-dev,
 librust-tree-sitter-sdml-0.3+default-dev,
 librust-url-2+default-dev,
 librust-url-2+serde-dev,
 libstring-shellquote-perl,
Standards-Version: 4.7.0
Homepage: https://github.com/sdm-lang/rust-sdml
Vcs-Git: https://salsa.debian.org/debian/sdml.git
Vcs-Browser: https://salsa.debian.org/debian/sdml
Rules-Requires-Root: no

Package: sdml
X-Cargo-Crates:
 sdml-cli,
Section: science
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
XB-Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for Simple Domain Modeling Language (SDML)
 sdml is a command-line tool
 that provides functionality to process SDML files.
 .
 The Simple Domain Modeling Language (SDML) is
 a small data-oriented language
 for constructing, documenting, and reasoning
 about a conceptual domain model.
 The SDML language comprises:
  * a semantic model
    whose structure and semantics are described
    in RDF by an OWL ontology
  * a surface syntax for editing and sharing model artifacts
  * a constraint language to capture model invariants
    not covered by the data descriptions in the surface syntax
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.
 .
 The Web Ontology Language (OWL) is
 a family of knowledge representation languages
 for authoring ontologies.
