## sdml 0.3.1+20241014

=== debian/changelog ===
sdml (0.3.1+20241014-3) unstable; urgency=medium

  * set field Static-Built-Using (without prefix)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 10:52:33 +0200

sdml (0.3.1+20241014-2) unstable; urgency=medium

  * generate man page for new subcommand generate

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 08:25:31 +0200

sdml (0.3.1+20241014-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * update and unfuzz patches
  * build-depend on packages for crates language-tags tera;
    stop build-depend on package for crate toml
  * update source helper tool copyright-check to skip PNG files

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2024 23:12:17 +0200
