=== debian/rules ===
--- 
+++ 
@@ -46,5 +46,5 @@
 # build manpages
 $(MANPAGES): %.1: debian/sdml/usr/bin/%
 	$(call _help2man,$@,$<)
-	set -e; $(foreach x,convert deps doc doc-book draw highlight tags validate versions view,\
+	set -e; $(foreach x,convert deps doc doc-book draw generate highlight tags validate versions view,\
 	 $(call _help2man,$@,$<,$x);)
