## sdml 0.3.1+20241024

=== debian/changelog ===
sdml (0.3.1+20241024-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add patch 1001 to fix path in tests
  * skip another failing tree-sitter-related test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 14:41:52 +0100
