=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  librust-i18n-embed-0.14+fluent-system-dev,
  librust-i18n-embed-fl-dev (<< 0.9),
  librust-indicatif-0.17+default-dev,
+ librust-language-tags-0.3+default-dev,
  librust-lazy-static-1+default-dev,
  librust-nu-ansi-term-0.50+default-dev,
  librust-ordered-float-4+default-dev,
@@ -38,8 +39,8 @@
  librust-serde-json-1+default-dev,
  librust-serde-regex-1+default-dev,
  librust-tempfile-3+default-dev,
+ librust-tera-1+default-dev,
  librust-text-trees-0.1+default-dev,
- librust-toml-0.8+default-dev,
  librust-tracing-0.1+default-dev,
  librust-tracing-log-0.2+default-dev,
  librust-tracing-subscriber-0.3+default-dev,
@@ -65,7 +66,7 @@
  ${shlibs:Depends},
 Built-Using:
  ${cargo:Built-Using},
-XB-Static-Built-Using:
+Static-Built-Using:
  ${cargo:Static-Built-Using},
 Description: CLI tool for Simple Domain Modeling Language (SDML)
  sdml is a command-line tool
