## sdml 0.3.2%2B20250310

=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,9 @@
 
 # most likely caused by too old crate tree-sitter
 TEST_BROKEN = \
- annotation_property_tests::test_annotation_multiple_double \
- annotation_property_tests::test_annotation_single_binary \
- annotation_property_tests::test_annotation_single_double
+ test event_tests::test_event_empty \
+ test entity_tests::test_entity_with_constraints \
+ test type_class_tests::test_type_class_methods \
 
 %:
 	dh $@
@@ -42,6 +42,7 @@
 override_dh_auto_test:
 	dh_auto_test --buildsystem rust -- --no-fail-fast -- \
 	 $(addprefix --skip ,$(TEST_BROKEN))
+	SDML=$(wildcard target/*/*/sdml) prove --verbose debian/tests/*.t
 
 execute_after_dh_auto_install-arch: $(MANPAGES)
