## sdml 0.3.2+20250310

=== debian/changelog ===
sdml (0.3.2+20250310-5) unstable; urgency=medium

  * tighten build-dependency for crate codespan-reporting
  * rewrite patch 2002_tree-sitter to use newer minor version
    of crates tree-sitter tree-sitter-highlight;
    tighten build-dependencies
    for crates tree-sitter tree-sitter-highlight

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2025 13:51:43 +0200

sdml (0.3.2+20250310-4) unstable; urgency=medium

  * drop patch 2002_pretty_assertions,
    obsoleted by Debian packaging changes
  * update DEP-3 patch headers
  * add patch 1001_codespan-reporting
    to accept newer minor version of crate codespan-reporting;
    relax build-dependency for crate codespan-reporting;
    closes: bug#1117630, thanks to Nadzeya Hutsko

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Oct 2025 23:52:35 +0200

sdml (0.3.2+20250310-3) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update DEP-3 patch headers
  * explicitly build-depend on package for crate heck;
    relax build-dependencies for crates
    serial_test tree-sitter tree-sitter-highlight

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 23:05:04 +0200

sdml (0.3.2+20250310-2) unstable; urgency=medium

  * fix declare crate-related build-dependencies unconditionally
    (drop <!nocheck> hint)
  * add patch 1001_i18n-embed
    to accept newer branches of crates i18n-embed i18n-embed-fl;
    relax build-dependencies for crates i18n-embed i18n-embed-fl

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2025 20:35:17 +0200

sdml (0.3.2+20250310-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config: simplify usage comments
  * update watch file:
    + mangle filename
    + bump version prefix
  * unfuzz patches
  * add functional test;
    build-depend on libtest2-suite-perl libtest2-tools-command-perl perl
  * recommend graphviz plantuml
  * improve long description

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 14:23:41 +0200

sdml (0.3.1+20250131-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add buld-dependencies
    for crates serial_test i18n-embed i18n-embed-fl;
    tighten build-dependencies
    for crates pretty-assertions tree-sitter
    tree-sitter-highlight tree-sitter-sdml
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage
  * update failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 12:26:58 +0200
