=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
+ graphviz <!nocheck>,
  help2man,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
@@ -13,22 +14,21 @@
  librust-clap-verbosity-flag-2+default-dev,
  librust-clio-0.3+clap-parse-dev,
  librust-clio-0.3+default-dev,
- librust-codespan-reporting-0.11+default-dev,
+ librust-codespan-reporting-0.12+default-dev,
  librust-console-0.15+default-dev,
  librust-convert-case-0.6+default-dev,
+ librust-heck-dev (<< 0.6),
  librust-human-panic-2+default-dev,
- librust-i18n-embed-0.14+default-dev,
- librust-i18n-embed-0.14+desktop-requester-dev,
- librust-i18n-embed-0.14+fluent-system-dev,
- librust-i18n-embed-fl-dev (<< 0.9),
+ librust-i18n-embed-dev (<< 0.17),
+ librust-i18n-embed-fl-dev (<< 0.11),
  librust-indicatif-0.17+default-dev,
  librust-language-tags-0.3+default-dev,
  librust-lazy-static-1+default-dev,
  librust-nu-ansi-term-0.50+default-dev,
  librust-ordered-float-4+default-dev,
  librust-ordered-float-4+serde-dev,
- librust-paste-1+default-dev <!nocheck>,
- librust-pretty-assertions-1+default-dev <!nocheck>,
+ librust-paste-1+default-dev,
+ librust-pretty-assertions-1+default-dev,
  librust-regex-1+default-dev,
  librust-rust-decimal-1+default-dev,
  librust-rust-decimal-1+serde-dev,
@@ -38,19 +38,24 @@
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-serde-regex-1+default-dev,
+ librust-serial-test-dev (<< 4),
  librust-tempfile-3+default-dev,
  librust-tera-1+default-dev,
  librust-text-trees-0.1+default-dev,
  librust-tracing-0.1+default-dev,
  librust-tracing-log-0.2+default-dev,
  librust-tracing-subscriber-0.3+default-dev,
- librust-tree-sitter-0.20+default-dev,
- librust-tree-sitter-highlight-0.20+default-dev,
- librust-tree-sitter-sdml-0.3+default-dev,
+ librust-tree-sitter-0.25+default-dev,
+ librust-tree-sitter-highlight-0.25+default-dev,
+ librust-tree-sitter-sdml-0.4+default-dev,
  librust-url-2+default-dev,
  librust-url-2+serde-dev,
+ libstd-rust-dev,
  libstring-shellquote-perl,
-Standards-Version: 4.7.0
+ libtest2-suite-perl <!nocheck>,
+ libtest2-tools-command-perl <!nocheck>,
+ perl <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/sdm-lang/rust-sdml
 Vcs-Git: https://salsa.debian.org/debian/sdml.git
 Vcs-Browser: https://salsa.debian.org/debian/sdml
@@ -64,13 +69,17 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ graphviz,
+ plantuml,
 Built-Using:
  ${cargo:Built-Using},
 Static-Built-Using:
  ${cargo:Static-Built-Using},
 Description: CLI tool for Simple Domain Modeling Language (SDML)
- sdml is a command-line tool
- that provides functionality to process SDML files.
+ sdml is a command-Line Interface (CLI) for the SDML language,
+ primarily for verification and translation
+ from SDML source to other formats.
  .
  The Simple Domain Modeling Language (SDML) is
  a small data-oriented language
