=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 graphviz,
 libtest2-suite-perl,
 libtest2-tools-command-perl,
 perl,
 sdml,
