=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Source: https://github.com/sdm-lang/rust-sdml.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0.3.2+%cd
